GET /drug/label.json
Summary: Drug Product Labeling
Operation ID: getDrugLabels
Auth: api_key
Operation ID: getDrugLabels
Auth: api_key
Description
Returns drug product labeling data derived from FDA Structured Product Labeling (SPL) files submitted by manufacturers. Updated weekly.
Parameters (6)
api_key
(string, query, optional)
Optional API key for higher rate limits (120,000/day vs 1,000/day without key). Request at https://open.fda.gov/apis/authentication/
count
(string, query, optional)
Field to count unique values for (returns aggregation instead of individual records). Use with .exact suffix for exact matches.
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Elasticsearch query string. Use field:value format with +AND+, +OR+ for boolean logic. Replace spaces with +.
skip
(integer, query, optional, default: 0)
Number of results to skip for pagination
Constraints: {'minimum': 0}
sort
(string, query, optional)
Field to sort results by. Use :desc or :asc suffix.
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search drug labels | openapi-spec |
https://api.fda.gov/drug/label.json?search=openfda.brand_name:Advil |
|
| Drug label search (browser example) | doc_extracted |
https://api.fda.gov/drug/label.json |
|
| Drug labels by drug name (aspirin) | doc_extracted |
https://api.fda.gov/drug/label.json?search=openfda.brand_name:aspirin |
|
| FDA drug labels search by drug name (MedxR SDK) | doc_extracted |
https://api.fda.gov/drug/label.json?search=aspirin |
|
| Get drug labels | probe-gate |
https://api.fda.gov/drug/label.json?limit=1&skip=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:08:35.148027 | 200 | 983ms | |
| 2026-03-23 09:39:12.258455 | 200 | 839ms | |
| 2026-03-23 09:25:45.734450 | 200 | 1119ms | |
| 2026-03-23 09:08:17.671799 | 200 | 869ms | |
| 2026-03-23 09:03:12.182878 | 200 | 862ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:08:17.671799 | 2ade20a1c489 |
b13e5a46c5e0 |
| 2026-03-23 09:25:45.734450 | b13e5a46c5e0 |
1f7e981e64c3 |
| 2026-03-23 09:39:12.258455 | 1f7e981e64c3 |
b667e1bd51e9 |
| 2026-03-23 10:08:35.148027 | b667e1bd51e9 |
b13e5a46c5e0 |